This issue tracker has been migrated to GitHub, and is currently read-only.
For more information, see the GitHub FAQs in the Python's Developer Guide.

classification
Title: Ambiguity in dbm.open flag documentation
Type: Stage:
Components: Documentation Versions: Python 3.0, Python 3.1
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: georg.brandl Nosy List: MLModel, georg.brandl
Priority: normal Keywords:

Created on 2009-05-05 13:58 by MLModel, last changed 2022-04-11 14:56 by admin. This issue is now closed.

Messages (4)
msg87243 - (view) Author: Mitchell Model (MLModel) Date: 2009-05-05 13:58
It isn't clear from the explanation of dbm.open's flag values at the
beginning of the dbm documentation page whether 'c' and 'n' open the
database just for writing or for reading and writing. I'm sure it's
obvious to anyone familiar with dbm, and the example demonstrates that
'c' opens the database for reading and writing, but I think it's worth
making it explicit by adding a few words to the paragraph describing the
flags.
msg87966 - (view) Author: Georg Brandl (georg.brandl) * (Python committer) Date: 2009-05-17 08:36
I think you meant anydbm?  It's already documented well for dbm.open --
I've copied over that table to anydbm in r72710.
msg88013 - (view) Author: Mitchell Model (MLModel) Date: 2009-05-18 03:50
No, I mean dbm.open. The third paragraph of its documentation says "'c'
to create the database if it doesn’t exist, or 'n', which will always
create a new empty database". This could easily be read as opening the
database just for writing, although come to think of it a write-only
database doesn't make any sense. I guess I was just being
literal/mechanical in my reading of it, trying to make sure it erased
all doubt. If the previous flags hadn't been explicitly documented as
"for reading only" and "for reading and writing" it wouldn't have
occurred to me that 'c' and 'n' should also be documented as reading and
writing. No problem if you think this is too trivial and unlikely a
problem to bother correcting.
msg88099 - (view) Author: Georg Brandl (georg.brandl) * (Python committer) Date: 2009-05-19 22:03
It was my mistake -- anydbm is called dbm in py3k.
History
Date User Action Args
2022-04-11 14:56:48adminsetgithub: 50192
2009-05-19 22:03:22georg.brandlsetmessages: + msg88099
2009-05-18 03:50:19MLModelsetmessages: + msg88013
2009-05-17 08:36:16georg.brandlsetstatus: open -> closed
resolution: fixed
messages: + msg87966
2009-05-05 13:58:23MLModelcreate